> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contest CSV report export data 

> Get generated contest CSV reports with download links

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-contest-csv-report-export-data
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-contest-csv-report-export-data:
    post:
      tags:
        - Product
      summary: 'Get contest CSV report export data '
      description: >-
        Get generated contest CSV reports with download links


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          pageSize:
                            type: number
                            enum:
                              - 20
                            description: Fixed page size of 20 records
                          pageNumber:
                            type: integer
                            minimum: 1
                            maximum: 10000
                            description: Page number to retrieve
                          fermionDigitalProductId:
                            type: string
                            description: Contest digital product ID
                          searchLookupTerm:
                            type: string
                            description: Search term for filtering reports by name
                        required:
                          - pageSize
                          - pageNumber
                          - fermionDigitalProductId
                          - searchLookupTerm
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                totalRecordsCount:
                                  type: number
                                  description: Total number of reports available
                                pageNumber:
                                  type: integer
                                  minimum: 1
                                  description: Current page number
                                pageData:
                                  type: array
                                  items:
                                    allOf:
                                      - type: object
                                        properties:
                                          reportId:
                                            type: string
                                            description: Unique report identifier
                                          reportCreatedAt:
                                            type: string
                                            format: date-time
                                            description: When the report was created
                                          reportName:
                                            type: string
                                            minLength: 1
                                            description: Name of the report
                                        required:
                                          - reportId
                                          - reportCreatedAt
                                          - reportName
                                      - anyOf:
                                          - type: object
                                            properties:
                                              reportStatus:
                                                type: string
                                                enum:
                                                  - Processed
                                                description: >-
                                                  Report is processed and ready for
                                                  download
                                              reportDownloadUrl:
                                                type: string
                                                format: uri
                                                description: URL to download the processed report
                                            required:
                                              - reportStatus
                                              - reportDownloadUrl
                                          - type: object
                                            properties:
                                              reportStatus:
                                                type: string
                                                enum:
                                                  - Pending
                                                description: Report is pending processing
                                            required:
                                              - reportStatus
                                          - type: object
                                            properties:
                                              reportStatus:
                                                type: string
                                                enum:
                                                  - Failed
                                                description: Report processing failed
                                            required:
                                              - reportStatus
                                          - type: object
                                            properties:
                                              reportStatus:
                                                type: string
                                                enum:
                                                  - Processing
                                                description: Report is currently being processed
                                            required:
                                              - reportStatus
                                  description: List of contest CSV reports
                              required:
                                - totalRecordsCount
                                - pageNumber
                                - pageData
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````